# GetKeysFromString()

**Method signature**

```go
func GetKeysFromString(seedPhrase string) (map[string]string, error)
```

**Parameters**

| Name       | Type   | Description                                                 |
| ---------- | ------ | ----------------------------------------------------------- |
| seedPhrase | String | The seedphrase that you want to use for generating the keys |

**Example**

```go
package main

import (
	"fmt"

	"github.com/circular-protocol/circular-go/utils"
)

func main() {
	seed := "circular protocol hello world test"
	res, _ := utils.GetKeysFromString(seed)
	fmt.Println(res)
}
```

**Result**

The result will be of type `Map`, but for easier readability, here is the equivalent in JSON.

```dart
{
  "privateKey" : String,
  "publicKey"  : String,
  "address"    : String,
  "seedPhrase" : String,
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/go/getkeysfromstring.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
